Bug 559581 - missing udev acl rule for firewire (regression from F11)
missing udev acl rule for firewire (regression from F11)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-28 09:40 EST by markus.moll
Modified: 2010-03-25 18:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: udev-145-19.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-25 18:36:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description markus.moll 2010-01-28 09:40:20 EST
Description of problem:
Firewire cameras are not assign a proper ACL when you connect them as the corresponding udev rules are missing. This used to work nicely with Fedora 11, although HAL was used for that purpose there. 

Version-Release number of selected component (if applicable):
udev-145-14

How reproducible:
Connect a firewire camera and try to access /dev/fwX

Steps to Reproduce:
1. Connect firewire IIDC camera
2. getfacl /dev/fwX 
3.
  
Actual results:
no ACL is set for /dev/fwX, access rights are 660 root:video

Expected results:
Currently logged in users should be added to a ACL with rw permissions

Additional info:
This is a regression from Fedora 11, where the ACLs were properly set. During the transition from HAL to udev, the corresponding HAL functionality was removed from Fedora 12, while udev-145 does not support setting ACLs on firewire devices. The functionality has been added upstream in udev-150.
Relevant changes to /lib/udev/rules.d/70-acl.rules are:

# IIDC devices: industrial cameras and some webcams
SUBSYSTEM=="firewire", ATTR{units}=="*0x00a02d:0x00010*",  ENV{ACL_MANAGE}="1"
# AV/C devices: camcorders, set-top boxes, TV sets, audio devices, and more
SUBSYSTEM=="firewire", ATTR{units}=="*0x00a02d:0x010001*", ENV{ACL_MANAGE}="1"

# old style firewire devices
KERNEL=="dv1394-[0-9]*", ENV{ACL_MANAGE}="1"
KERNEL=="video1394-[0-9]*", ENV{ACL_MANAGE}="1"
Comment 1 Fedora Update System 2010-03-19 07:16:49 EDT
udev-145-16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/udev-145-16.fc12
Comment 2 Fedora Update System 2010-03-23 19:39:49 EDT
udev-145-19.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/udev-145-19.fc12
Comment 3 Fedora Update System 2010-03-25 18:35:15 EDT
udev-145-19.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.